<?php

/* Reminder: always indent with 4 spaces (no tabs). */
// +---------------------------------------------------------------------------+
// | Moblog Plugin                                                             |
// +---------------------------------------------------------------------------+
// | moblog/check.php                                                          |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2009 by the following authors:                              |
// |                                                                           |
// | Authors: Yoshinori Tahara (dengen) - taharaxp AT gmail DOT com            |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+

//log 出力モード設定　0:作成しない,1:ファイルに出力 2:画面にも出力
$logmode =2; 

require_once '../lib-common.php';
require $_CONF['path'] . 'plugins/moblog/moblog.php';

// ゲストユーザーのログインを制限する
if (empty($_USER['username']) && $_MOBLOG_CONF['login_required']) { 
    $display = COM_siteHeader('menu', $LANG_MOBLOG_1['plugin_name']);
    $display .= MOBLOG_loginform();
    $display .= COM_siteFooter(false);
    COM_output($display);
    exit;
}

// MAIN

// ユーザー情報
$uary = array();
$uary['username'] = $_USER['username'];
$uary['uid'] = $_USER['uid'];
$display .= '<pre>$_USER = '.print_r($uary,true)."</pre>";

// 話題の情報
$result = DB_query("SELECT tid,topic,owner_id,group_id,perm_owner,perm_group,perm_members,perm_anon FROM {$_TABLES['topics']}");
$tary = array();
while ($A = DB_fetchArray($result)) {
    for ($i=0; $i<count($A); $i++) unset($A[$i]);
    $tary[] = $A;
}
$display .= '<pre>Topics = '.print_r($tary,true)."</pre>";

// Moblogのコンフィギュレーション
$temp = $_MOBLOG_CONF;
$temp['mailserver_pass'] = '********';
$temp['mailserver_host'] = '********';
$temp['mailserver_user'] = '********';
$display .= '<pre>$_MOBLOG_CONF = '.print_r($temp,true)."</pre>";

// ログインユーザーのMoblog設定
$uid = $_USER['uid'];
$result = DB_query("SELECT * FROM {$_TABLES['moblog']} WHERE uid = '$uid'");
$A = DB_fetchArray($result);
for ($i=0; $i<count($A); $i++) unset($A[$i]);
if (!empty($A['passwd'])) $A['passwd'] = '********';
$display .= '<pre>User_Settings = '.print_r($A,true)."</pre>";

// GDライブラリの情報
$gdary = gd_info();
$display .= '<pre>gd_info = '.print_r($gdary,true)."</pre>";

echo MOBLOG_execProcess($display);
?>